Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
*Bose, Steve
Message 1 of 6 (230 Views)

change length to match length

230 Views, 5 Replies
05-24-2002 10:37 PM
Anybody have a command to make a line change length to match length of a
line, arc, polyline or circle? Could use this when making flat patterns
layouts. Thanks for any help Steve
*Turvill, Paul
Message 2 of 6 (230 Views)

Re: change length to match length

05-25-2002 12:52 AM in reply to: *Bose, Steve
Could be done with a little LISP ... but it would take a bit more
information about the line: would you want it to remain at the same angle,
or would that change as well? Which end would you want to extend/shorten? Or
would you like to add the same amount on both ends?
___

"Steve Bose" wrote in message
news:7D3B66E5FBBFCE25D310D9FB971810D8@in.WebX.maYIadrTaRb...
> Anybody have a command to make a line change length to match length of a
> line, arc, polyline or circle? Could use this when making flat patterns
> layouts. Thanks for any help Steve
>
>
*Bose, Steve
Message 3 of 6 (230 Views)

Re:

05-28-2002 01:54 AM in reply to: *Bose, Steve
Paul,
Thanks for the reply. Would like it to work like the lengthen total
command, where the end you pick changes with line staying at same angle.

Thanks,
Steve


Paul Turvill wrote in message
news:7A8D40B59353F6DBCED9BC553D058B96@in.WebX.maYIadrTaRb...
> Could be done with a little LISP ... but it would take a bit more
> information about the line: would you want it to remain at the same angle,
> or would that change as well? Which end would you want to extend/shorten?
Or
> would you like to add the same amount on both ends?
> ___
>
> "Steve Bose" wrote in message
> news:7D3B66E5FBBFCE25D310D9FB971810D8@in.WebX.maYIadrTaRb...
> > Anybody have a command to make a line change length to match length of a
> > line, arc, polyline or circle? Could use this when making flat patterns
> > layouts. Thanks for any help Steve
> >
> >
>
>
*Turvill, Paul
Message 4 of 6 (230 Views)

Re:

05-28-2002 05:41 AM in reply to: *Bose, Steve
Quick & dirty -- easiest way seemed to be to just use the LENGTHEN command:

(defun C:ASLONGAS (/ cmde obj len)
(setq cmde (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setq obj (car (entsel "\nSelect object to measure: ")))
(command "_.lengthen" obj "")
(setq len (getvar "perimeter"))
(prompt "\nPick end of line to change: ")
(command "_.lengthen" "_t" len pause "")
(setvar "cmdecho" cmde)
(princ)
)

No error checking, but it works as you describe on most objects. Feel free
to modify & refine as you see fit.
___

"Steve Bose" wrote in message
news:13B398086E8D2508C05493B48C486A81@in.WebX.maYIadrTaRb...
> Paul,
> Thanks for the reply. Would like it to work like the lengthen total
> command, where the end you pick changes with line staying at same angle.
>
> Thanks,
> Steve
>
>
> Paul Turvill wrote in message
> news:7A8D40B59353F6DBCED9BC553D058B96@in.WebX.maYIadrTaRb...
> > Could be done with a little LISP ... but it would take a bit more
> > information about the line: would you want it to remain at the same
angle,
> > or would that change as well? Which end would you want to
extend/shorten?
> Or
> > would you like to add the same amount on both ends?
> > ___
> >
> > "Steve Bose" wrote in message
> > news:7D3B66E5FBBFCE25D310D9FB971810D8@in.WebX.maYIadrTaRb...
> > > Anybody have a command to make a line change length to match length of
a
> > > line, arc, polyline or circle? Could use this when making flat
patterns
> > > layouts. Thanks for any help Steve
> > >
> > >
> >
> >
>
>
*Bose, Steve
Message 5 of 6 (230 Views)

Re:

05-29-2002 02:01 AM in reply to: *Bose, Steve
Paul,
Thank you very much, it works great.

Steve

Paul Turvill wrote in message
news:31D10002CD4E467755A79D766552F9BB@in.WebX.maYIadrTaRb...
> Quick & dirty -- easiest way seemed to be to just use the LENGTHEN
command:
>
> (defun C:ASLONGAS (/ cmde obj len)
> (setq cmde (getvar "cmdecho"))
> (setvar "cmdecho" 0)
> (setq obj (car (entsel "\nSelect object to measure: ")))
> (command "_.lengthen" obj "")
> (setq len (getvar "perimeter"))
> (prompt "\nPick end of line to change: ")
> (command "_.lengthen" "_t" len pause "")
> (setvar "cmdecho" cmde)
> (princ)
> )
>
> No error checking, but it works as you describe on most objects. Feel free
> to modify & refine as you see fit.
> ___
>
> "Steve Bose" wrote in message
> news:13B398086E8D2508C05493B48C486A81@in.WebX.maYIadrTaRb...
> > Paul,
> > Thanks for the reply. Would like it to work like the lengthen total
> > command, where the end you pick changes with line staying at same angle.
> >
> > Thanks,
> > Steve
> >
> >
> > Paul Turvill wrote in message
> > news:7A8D40B59353F6DBCED9BC553D058B96@in.WebX.maYIadrTaRb...
> > > Could be done with a little LISP ... but it would take a bit more
> > > information about the line: would you want it to remain at the same
> angle,
> > > or would that change as well? Which end would you want to
> extend/shorten?
> > Or
> > > would you like to add the same amount on both ends?
> > > ___
> > >
> > > "Steve Bose" wrote in message
> > > news:7D3B66E5FBBFCE25D310D9FB971810D8@in.WebX.maYIadrTaRb...
> > > > Anybody have a command to make a line change length to match length
of
> a
> > > > line, arc, polyline or circle? Could use this when making flat
> patterns
> > > > layouts. Thanks for any help Steve
> > > >
> > > >
> > >
> > >
> >
> >
>
>
Active Member
JoseVicario
Posts: 6
Registered: ‎08-20-2012
Message 6 of 6 (169 Views)

Re: change length to match length

08-20-2012 03:42 AM in reply to: *Bose, Steve
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.